Bug 191277 - ehernet error on Toshiba Sattelite A100-529 laptop
ehernet error on Toshiba Sattelite A100-529 laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 09:46 EDT by Jan Artysiewicz
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 17:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Artysiewicz 2006-05-10 09:46:17 EDT
Description of problem:

Ethernet card stop working with kernel messages as above.
This problem apears on high network load (eg. downloading file from LAN server).
I'm don't find the way to fix it - only restart helps.

NETDEV WATCHDOG: eth0: transmit timed out
eth0: Transmit timeout, status 0c 0055 c07f media 08.
eth0: Tx queue start entry 20070  dirty entry 20066.
eth0:  Tx descriptor 0 is 9008a03c.
eth0:  Tx descriptor 1 is 9008a03c.
eth0:  Tx descriptor 2 is 9008a042. (queue head)
eth0:  Tx descriptor 3 is 9008a042.
eth0: link up, 10Mbps, half-duplex, lpa 0x0000
NETDEV WATCHDOG: eth0: transmit timed out
eth0: Transmit timeout, status 0c 0055 c07f media 08.
eth0: Tx queue start entry 4  dirty entry 0.
eth0:  Tx descriptor 0 is 9008a03c. (queue head)
eth0:  Tx descriptor 1 is 9008a042.
eth0:  Tx descriptor 2 is 9008a042.
eth0:  Tx descriptor 3 is 9008a042.
eth0: link up, 10Mbps, half-duplex, lpa 0x0000
NETDEV WATCHDOG: eth0: transmit timed out
eth0: Transmit timeout, status 0c 0055 c07f media 08.
eth0: Tx queue start entry 4  dirty entry 0.
eth0:  Tx descriptor 0 is 9008a042. (queue head)
eth0:  Tx descriptor 1 is 9008a042.
eth0:  Tx descriptor 2 is 9008a042.
eth0:  Tx descriptor 3 is 9008a042.
eth0: link up, 10Mbps, half-duplex, lpa 0x0000

Version-Release number of selected component (if applicable):

tested on:
kernel-2.6.16-1.2096_FC4
kernel-2.6.11-1.1369_FC4
kernel-2.6.16-1.2069_FC4
kernel-2.6.16-1.2108_FC4


How reproducible:

generate hevy network load

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

ethernet card
eth0: RealTek RTL8139 at 0xa000, 00:a0:d1:33:2d:ec, IRQ 19
eth0:  Identified 8139 chip type 'RTL-8100B/8139D'

lspci
00:00.0 Host bridge: ATI Technologies Inc: Unknown device 5a31 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc: Unknown device 5a3f
00:12.0 IDE interface: ATI Technologies Inc ATI 4379 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 81)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE
Controller ATI (rev 80)
00:14.2 Class 0403: ATI Technologies Inc: Unknown device 437b (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
01:05.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5a62
02:06.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller (rev 01)
02:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000
Controller (PHY/Link)
Comment 1 Armijn Hemel 2006-09-03 07:21:48 EDT
I get similar errors on a Toshiba Satellite L100-L129 when I try to do a FTP
install of Fedora Core 6 test 2 (so could someone reassign this one to fc6t2?),
or a later development version. Under Windows XP the card works as expected.
Comment 2 Dave Jones 2006-09-16 21:31:09 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 16:06:38 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jan Artysiewicz 2006-10-20 03:48:54 EDT
i'v tested this on 2.6.18-1.2200.fc5. I'v got the same error.
Comment 5 John W. Linville 2006-10-23 16:05:14 EDT
Please attach the output of runnint "sysreport" on the box in question.  That 
may reveal some information to help us investigate this further...thanks!
Comment 6 John W. Linville 2007-08-07 17:22:37 EDT
Closed due to lack of response...please reopen if/when the requested info 
becomes available.

Note You need to log in before you can comment on or make changes to this bug.